kpimtextedit (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:13 +0200

kpimtextedit (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 02:32:45 +0200

kpimtextedit (24.05.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Also switch the runtime-dependency to libktextaddons-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Jul 2024 00:06:47 +0200

kpimtextedit (24.05.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch libkf6textaddons-dev B-D to libktextaddons-dev as that is the
    new name.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Jul 2024 14:57:15 +0200

kpimtextedit (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jul 2024 20:23:46 +0200

kpimtextedit (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:31:13 +0100

kpimtextedit (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:25:00 +0100

kpimtextedit (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:15 +0100

kpimtextedit (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:02:20 +0100

kpimtextedit (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:18 +0100

kpimtextedit (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:10:26 +0200

kpimtextedit (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:07:52 +0200

kpimtextedit (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:02 +0200

kpimtextedit (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:55:29 +0200

kpimtextedit (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:00:21 +0200

kpimtextedit (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:10 +0200

kpimtextedit (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 01:57:38 +0200

kpimtextedit (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:09:01 +0200

kpimtextedit (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 22:18:32 +0100

kpimtextedit (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:24:19 +0900

kpimtextedit (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:23:26 +0900

kpimtextedit (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:38:12 +0900

kpimtextedit (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:13:18 +0900

kpimtextedit (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:45 +0900

kpimtextedit (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:31 +0100

kpimtextedit (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:07:45 +0200

kpimtextedit (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * autotests are flaky, do not fail them the build.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:11 +0200

kpimtextedit (20.04.1-3) unstable; urgency=medium

  * Team upload.
  * Actually bump the libgrantlee5-dev build dependency to 5.2.
  * Disable TextGoToLineWidgetTest::shouldHaveDefaultValuesOnCreation(),
    as it seems to be flaky; patch textgotolinewidgettest-flaky.diff.
  * Remove unused ${shlibs:Depends} substvar in libkf5pimtextedit-data.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Aug 2020 00:02:02 +0200

kpimtextedit (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * There is grantlee 5.2 in Debian, so:
    - drop patch lower_grantlee_dep.patch
    - bump the libgrantlee5-dev build dependency to 5.2
  * Unregister the old /etc/xdg/kpimtextedit.categories conffile.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Aug 2020 20:24:00 +0200

kpimtextedit (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.
  * Lower Grantlee dependency to 5.1.
  * Update fix_tests.patch.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:33 +0200

kpimtextedit (20.04.0-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update fix_tests.patch to pass tests (upload the correct patch).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 14:55:31 +0200

kpimtextedit (20.04.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update fix_tests.patch to pass tests.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 13:17:09 +0200

kpimtextedit (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.0).
  * Update watch file to the new release-service location.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * Bump compat level to 13.
  * Switch to dh for building.
  * Cleanup Build-Depends.
  * Enable to build desginerplugin.
  * Update patch hunks.
  * Lower upstream dependency of Grantlee to 5.1.
  * Remove not needed linker flags.
  * Remove COPYING.LIB listed in copyright file.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:20:17 +0200

kpimtextedit (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:12 +0100

kpimtextedit (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Update patch hunks.
  * Add patch to get tests pass.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:38:08 +0100

kpimtextedit (18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:48:48 +0100

kpimtextedit (18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.

 -- Sandro Knauß <hefee@debian.org>  Thu, 03 Oct 2019 23:01:18 +0200

kpimtextedit (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:15 +0100

kpimtextedit (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:16:32 +0200

kpimtextedit (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update symbols from build for 18.07.90.
  * Bump Debian-ABI for libkf5pimtextedit5 because of ABI breakage to 2.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:00:55 +0200

kpimtextedit (17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5texttospeech5-dev build dependency to enable the
    text-to-speech functionality.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Properly run the test suite during the build, so it works:
    - add the breeze-icon-theme build dependency, as the test suite tries to
      load icons
    - add the openbox build dependency, to have a real window manager
    - create a new debian/testsuite.xsession script, modelled after
      debian/tests/testsuite.xsession, that prepares the fake home directory,
      and starts the WM
    - run xvfb-run with the proper arguments, using a fake home directory for
      it, and invoking debian/testsuite.xsession
    - make the test suite run fatal
  * Remove the unused, and now no more useful autopkgtest stuff.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 14:39:28 +0200

kpimtextedit (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:42 +0200

kpimtextedit (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Enable build tests.
  * split arch independent files into own package (libkf5pimtextedit-
    data).
  * Use DebianABIManager to handle libkpimtextedit* properly.
  * Update library from libkpimtextedit5 -> libkkpimtextedit5abi1,
    because of ABI breakage.
  * Update Vcs links to salsa.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:00 +0100

kpimtextedit (17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Switch the kdesignerplugin build dependency to kgendesignerplugin, as the
    latter is the actual needed one.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 12:02:53 +0100

kpimtextedit (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused kio-dev, and libkf5kdelibs4support-dev build dependencies.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:44:55 +0100

kpimtextedit (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark libkf5pimtextedit-dev correctly as Multi-Arch: same.
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:58:01 +0100

kpimtextedit (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:35 +0200

kpimtextedit (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:39:17 +0000

kpimtextedit (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:21 +0000

kpimtextedit (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:03 +0000

kpimtextedit (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:23:42 +0000

kpimtextedit (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:28 +0000

kpimtextedit (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:45 +0000

kpimtextedit (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:01:32 +0000

kpimtextedit (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:22:15 +0000

kpimtextedit (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:30:01 +0000

kpimtextedit (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:54 +0000

kpimtextedit (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:53 +0000

kpimtextedit (16.08.1-1~1.gbpe447e6) UNRELEASED; urgency=medium

  ** SNAPSHOT build @e447e6f2d3ffeba8910b0a442557e180e19af273 **

  * Refresh patches
  * Update symbols files with the buildds results
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update symbols files.

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 13:42:41 +0200

kpimtextedit (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:32 +0000

kpimtextedit (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:39 +0000

kpimtextedit (16.04.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update testsuite script
  * testsuite: add libgl1-mesa-dri missing dependency
  * testsuite: add xdg env, and a wm
  * Add new patch: set_icontheme.diff

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 12:59:40 +0200

kpimtextedit (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-1).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:51:28 +0200

kpimtextedit (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:27 +0100

kpimtextedit (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:25 +0200

kpimtextedit (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 18:39:18 +0200

kpimtextedit (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:34:33 +0100

kpimtextedit (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:51:31 +0100
